/*
 * University of Houston
 * Style sheet for the UH Magazine website
 * Created Summer 2014 by Rainer Schuhsler
 */

/* ========================================================================
   Bootstrap (stock bootstrap with additional custom styles)
   ======================================================================== */

@import url('/css/uh-bootstrap.css');

/* ========================================================================
   Global styles (base, header, footer, and primary navigation styles)
   ======================================================================== */

@import url('/css/uh-global.css');

/* ========================================================================
   Custom Styles for Newsletter website
   ======================================================================== */

/*
 * Table of contents navigation
 */

#banner .nav-primary .table-of-contents {
    position: static;
}

#banner .nav-primary .table-of-contents .children {
    background: #960C22;
    border: none;
    box-shadow: none;
    left: 0;
    right: 0;
    opacity: 1;
    top: 0;
    width: 100%;
    z-index: -2;
    -webkit-transition: top .1s ease .4s;
            transition: top .1s ease .4s;
}

#banner .nav-primary .table-of-contents:hover .children,
#banner .nav-primary.affix .children {
    left: 0;
    top: 50px;
    -webkit-transition: top .1s ease;
            transition: top .1s ease;
}

#banner .nav-primary .table-of-contents .children:before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: -9999px;
    right: 0;
    border-left: 9999px solid #960C22;
    box-shadow: 9999px 0 0 #960C22;
}

#banner .nav-primary .table-of-contents .children li {
    float: left;
}

#banner .nav-primary .table-of-contents:hover .children li:hover {
    background: rgba(0,0,0,.25);
    -webkit-transition: background .15s ease;
            transition: background .15s ease;
}

#banner .nav-primary .table-of-contents .children li a {
    color: white;
    font-size: 18px;
    line-height: 30px;
    padding: 10px 15px;
}

#banner .nav-primary .table-of-contents .children li:first-child a {
    padding-left: 15px;
}

@media (min-width: 768px) {
    #banner .nav-primary .table-of-contents .children li a {
        font-size: 14px;
        padding: 10px;
    }
}

@media (min-width: 992px) {
    #banner .nav-primary .table-of-contents .children li a {
        font-size: 17px;
        padding: 10px 15px;
    }
}

@media (min-width: 1170px) {
    #banner .nav-primary .table-of-contents .children li a {
        font-size: 18px;
        padding: 10px 15px;
    }
}

.uh-magazine #banner .nav-primary.affix {
    top: -50px;
}

.uh-magazine #banner .nav-primary .issue > a {
    color: #F6BE00;
    font-weight: bold;
    letter-spacing: 0.125em;
    text-shadow: 0 1px 0 rgba(255,255,255,.1);
    text-transform: uppercase;
}

.uh-magazine.article #banner .nav-primary .table-of-contents .caret  {
    border-left: none;
    border-bottom: 5px solid transparent;
    border-right: 5px solid white;
    border-top: 5px solid transparent;
    margin: 0 -2px 2px 5px;
}

.uh-magazine.article #banner .nav-primary .table-of-contents .children  {
    display: none;
}

/*
 * Home Page Styles
 */

section {
    padding: 20px 0 10px;
}

section header {
    border-top: 2px solid #eee;
    padding: 30px 0;
}

div + section {
    margin-top: -20px;
}

div + section header {
    border-top: 0;
    padding: 30px 0 30px;
}

section h1 {
    background: #00b388;
    box-shadow: 0px  1px 0 #00866C,
                1px  0px 0 #005950,
                1px  2px 0 #00866C,
                2px  1px 0 #005950,
                2px  3px 0 #00866C,
                3px  2px 0 #005950,
                3px  4px 0 #00866C,
                4px  3px 0 #005950,
                4px  5px 0 #00866C,
                5px  4px 0 #005950,
                5px  5px 0 #00866C;
    color: white;
    display: inline-block;
    font-family: 'League Gothic', sans-serif;
    font-size: 1.6em;
    font-weight: normal;
    letter-spacing: 0.05em;
    line-height: 1.1;
    margin: 0 0 0 -30px;
    padding: 3px 30px 1px;
    position: relative;
    text-shadow: 0.06em 0.06em rgba(0,0,0,.25);
    text-transform: uppercase;
}

section h2 {
    font-family: 'League Gothic', sans-serif;
    font-size: 2.5em;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1;
    margin: .5em 0 .25em;
    text-transform: uppercase;
}

section h1 + h2 {
    color: #666;
    font-family: 'Milo', sans-serif;
    font-size: 1.8em;
    font-style: italic;
    line-height: 1;
    margin: .75em 0;
    text-transform: none;
}

section h2 a {
    color: #333;
    -webkit-transition: color .1s;
            transition: color .1s;
}

section h2 a:hover {
    color: #c8102e;
    text-decoration: none;
}

section h2 small {
    color: #888B8D;
    display: block;
    font-family: 'Milo', sans-serif;
    font-size: .5em;
    font-style: italic;
    margin: .5em 0 .25em -1px;
}

section p {
    font-family: 'Crimson', Georgia, serif;
    font-size: .875em;
    line-height: 1.6;
}

.story-single,
.story-grid {
    clear: both;
    margin: 0 -15px;
}

.story-single:before,
.story-single:after,
.story-grid:before,
.story-grid:after {
    content: '';
    display: table;
}

.story-single:after,
.story-grid:after {
    clear: both;
}

.story-single {
    font-size: 1.2em;
    margin-bottom: 30px;
}

.story-single + .story-grid {
    box-shadow: inset 15px 0 white, inset -15px 0 white, inset 0 1px #eee;
    padding-top: 30px;
}

.story-single h2 {
    margin-top: 0;
}

.story-grid > div:nth-child(3n+1) {
    clear: left;
}

.story-grid > div:nth-child(3n+1):before {
    clear: both;
    content: '';
    display: table;
}

section .caption {
    margin-bottom: 30px;
}

section ul {
    list-style: none;
    padding: 0;
}

section li {
    margin-bottom: 30px;
}

/*
 * Story Page Styles
 */

/* DROP CAPS */
#main header + p:first-letter,
#main header + figure + p:first-letter,
#main header + style + p:first-letter,
#main .first-para:first-letter{
    float: left;
    font-size: 100px;
	line-height: 70px;
	padding-top: 4px;
	padding-right: 8px;
	padding-left: 3px;
	font-family: Georgia;
}

#main li{
    font-family: 'Crimson', Georgia, serif;
}

#main .sharing li{
    font-family: 'Milo', sans-serif;
}

article p {
    font-family: 'Crimson', Georgia, serif;
    font-size: 1em;
    line-height: 1.6;
    margin: 1.6em 0;
}

article h1 + p,
article h2 + p,
article h3 + p,
article h4 + p,
article h5 + p {
    margin-top: 0;
}

article header {
    position: relative;
}

article header .container {
    background: rgba(255,255,255,.5);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    box-shadow: -55px 0 0 rgba(255,255,255,.5), 55px 0 0 rgba(255,255,255,.5);
}

article header h1 {
    color: #c8102e;
    font-size: 3em;
    font-weight: 500;
    margin: .25em 0 .125em;
}

article header h2 {
    color: #333;
    font-size: 2em;
    font-weight: normal;
    letter-spacing: 0;
    text-transform: none;
}

article header .author {
    font-size: 1em;
    font-style: italic;
}

article header img {
    display: block;
    margin: 0 auto;
}

article .lead {
    font-size: 1.125em;
}

/*article .lead:first-letter {
    color: #ccc;
    float: left;
    font-size: 15em;
    line-height: 1;
    margin-left: -.5em;
    margin-right: -.5em;
}*/

article > .container {
    margin: 15px auto 0;
    max-width: 750px;
}

article .container > img {
    display: block;
    margin: 0 0 1.6em;
}

article figure img {
    width: 100%;
}

article figcaption {
    background: #00B388;
    color: white;
    display: inline-block;
    font-size: .875em;
    line-height: 1.25;
    margin: 0;
    padding: .375em .625em;
    position: relative;
    text-transform: uppercase;
}

.pull-left {
    margin: .25em 30px 1.6em -20% !important;
    max-width: 67%;
}

figure.pull-left,
img.pull-left {
    text-align: right;
    margin-top: 1.6em !important;
}

.pull-left figcaption {
    float: right;
    text-align: left;
}

.pull-right {
    margin: .25em -20% 1.6em 30px !important;
    max-width: 67%;
}

figure.pull-right,
img.pull-right {
    margin-top: 1.6em !important;
}

article .pullquote {
    border: 1px dotted #999;
    border-width: 1px 1px 0 0;
    color: #666;
    font-family: 'Milo', sans-serif;
    font-size: 1.375em;
    font-style: italic;
    line-height: 1.4;
    padding: .75em 1em;
    box-shadow:  0px  1px 0 #960C22,
                -1px  0px 0 #c8102e,
                -1px  2px 0 #960C22,
                -2px  1px 0 #c8102e,
                -2px  3px 0 #960C22,
                -3px  2px 0 #c8102e,
                -3px  4px 0 #960C22,
                -4px  3px 0 #c8102e,
                -4px  5px 0 #960C22,
                -5px  4px 0 #c8102e,
                -5px  6px 0 #960C22,
                -6px  5px 0 #c8102e,
                -6px  7px 0 #960C22,
                -7px  6px 0 #c8102e,
                -7px  8px 0 #960C22,
                -8px  7px 0 #c8102e,
                -8px  9px 0 #960C22,
                -9px  8px 0 #c8102e,
                -9px 10px 0 #960C22,
               -10px  9px 0 #c8102e,
               -10px 10px 0 #960C22;
}

article .pullquote-credit{
    display: block;
    font-size: 0.8em;
    color: black;
    margin-left: 4em;
    padding-top: .5em;
}
article .pullquote-credit:before {
    content: "- ";
}

article hr {
    border-top: 2px solid #EAEDEE;
    margin: 2em 0;
}

.sharing {
    font-size: .875em;
}

.sharing,
.on-deck {
    margin-bottom: 30px;
}

.sharing h2,
.on-deck h2 {
    color: #00B388;
    font-size: 1.25em;
    font-weight: bold;
    letter-spacing: 0.0625em;
    line-height: 30px;
    margin: .25em 0 .5em;
    text-transform: uppercase;
}

.sharing ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.sharing li {
    float: left;
    margin: 0 30px 0 0;
}

article .sharing li {
    float: none;
    margin: .5em 0;
    padding: 0;
}

.sharing .twitter {
    background: transparent url('/images/share-icons/share-twitter.svg') no-repeat left center;
}
.sharing .facebook {
    background: transparent url('/images/share-icons/share-facebook.svg') no-repeat left center;
}

.sharing .google-plus {
    background: transparent url('/images/share-icons/share-google-plus.svg') no-repeat left center;
}

.sharing .linkedin {
    background: transparent url('/images/share-icons/share-linkedin.svg') no-repeat left center;
}

.sharing li a {
    background-size: 30px;
    display: block;
    font-size: 1.25em;
    line-height: 30px;
    padding-left: 40px;
}

.on-deck {
    border-left: 1px dotted #999;
    font-size: .875em;
}

.on-deck h3 {
    font-size: 1.5em;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.125;
    margin: .75em 0 .375em;
    text-transform: none;
}

.on-deck p {
    margin-bottom: 0 !important;
}

.comments {
    margin: 30px 0;
}